import { CategoryGetters } from '@vue-storefront/core';
import type { Collection, CollectionList } from '@vue-storefront/vendure-api';
import { AgnosticCategoryNavigation } from '../types';
interface ExtendedCategoryGetters extends CategoryGetters<Collection> {
    getNavigation: (collectionList: CollectionList) => AgnosticCategoryNavigation[];
    getTotalItems: (collectionList: CollectionList) => number;
}
export declare const categoryGetters: ExtendedCategoryGetters;
export {};
//# sourceMappingURL=categoryGetters.d.ts.map