import { FacetsGetters, FacetSearchResult, AgnosticCategoryTree, AgnosticBreadcrumb } from '@vue-storefront/core';
import type { Collection, FacetSearchCriteria, SearchInput, SearchResponse } from '@vue-storefront/vendure-api';
import { AgnosticSearchResult, SearchResultValue } from '../types';
interface ExtendedSearchGetters extends FacetsGetters<AgnosticSearchResult, FacetSearchCriteria> {
    getTree: (category: Collection) => AgnosticCategoryTree | null;
    getBreadcrumbsFromSlug: (searchResult: FacetSearchResult<AgnosticSearchResult>, slug: string) => AgnosticBreadcrumb[];
    getAgnosticSearchResult: (searchResultValue: SearchResultValue<SearchResponse, SearchInput>) => FacetSearchResult<AgnosticSearchResult>;
}
export declare const facetGetters: ExtendedSearchGetters;
export {};
//# sourceMappingURL=facetGetters.d.ts.map