import { ProductGetters } from '@vue-storefront/core';
import { ProductFilter, Product } from '@vue-storefront/vendure-api';
import { AgnosticProductOptions, AgnosticProductVariant } from '../types';
interface ExtendedProductGetters extends ProductGetters<AgnosticProductVariant | Product, ProductFilter> {
    getByFilters: (product: Product, filters?: ProductFilter) => AgnosticProductVariant[] | AgnosticProductVariant;
    getOptions: (product: Product, filters?: string[]) => AgnosticProductOptions[];
    getCategoryNames: (product: Product) => string[];
}
export declare const productGetters: ExtendedProductGetters;
export {};
//# sourceMappingURL=productGetters.d.ts.map