import { AgnosticAttribute } from '@vue-storefront/core';
import { ProductCollection, CollectionResult, FacetValueResult, SearchResult, ResetPasswordResponse, RequestPasswordResetResponse } from '@vue-storefront/vendure-api';
export declare type TODO = any;
export declare type UseBillingAddParams = TODO;
export declare type UseCategorySearchParams = TODO;
export declare type UseFacetSearchParams = TODO;
export declare type UseProductSearchParams = TODO;
export declare type UseReviewSearchParams = TODO;
export declare type UseReviewAddParams = TODO;
export declare type UseShippingAddParams = TODO;
export declare type UseUserUpdateParams = TODO;
export declare type UseUserRegisterParams = TODO;
export declare type useUserOrderSearchParams = TODO;
export declare type AgnosticProductVariant = {
    _id: string;
    productId?: string;
    _variantId?: string;
    _description: string;
    _categoriesRef: string[];
    name: string;
    productName?: string;
    sku: string;
    slug: string;
    images: string[];
    collections?: ProductCollection[];
    price: {
        original: number;
        current: number;
    };
    priceWithTax?: {
        value?: number;
    };
    productAsset?: {
        preview?: string;
    };
};
export declare type AgnosticProductOptions = {
    id?: string;
    value?: string;
    label?: string;
    options?: AgnosticAttribute[] & {
        id?: string;
    };
    __typename?: string;
};
export declare type AgnosticSearchResult = {
    products: SearchResult[];
    categories: CollectionResult[];
    facets: FacetValueResult[];
    total: number;
    perPageOptions: number[];
    itemsPerPage: number;
};
export declare type AgnosticCategoryNavigation = {
    name: string;
    link: string;
};
export declare type SearchResultValue<SEARCH_DATA, SEARCH_INPUT> = {
    data?: SEARCH_DATA;
    input?: SEARCH_INPUT;
};
export interface ForgotPasswordResult {
    resetPasswordResult: RequestPasswordResetResponse;
    setNewPasswordResult: ResetPasswordResponse;
}
export interface Error {
    name: string;
    message: string;
    stack?: string;
}
export { OrderAddress, Order, Address } from '@vue-storefront/vendure-api';
//# sourceMappingURL=types.d.ts.map